| Openscape Voice V10 - SOAP Interface Documentation

Classes | Enumerations | Functions
Database

Database Job Definitions and Methods. More...

## Classes
struct | unsp__DatabaseJobEntry
| Database Job entry. More...
struct | unsp__CreateDatabaseJobRequest
| Create Database Job request. More...
struct | unsp__CreateDatabaseJobResult
| Create Database Job result. More...
struct | unsp__DatabaseJobRequest
| Database Job request. More...
struct | unsp__DatabaseJobResult
| Database Job result. More...
struct | unsp__GetDatabaseJobListRequest
| Get Database Job List request. More...
struct | unsp__GetDatabaseJobListData
| List of Database Job Entries. More...
struct | unsp__GetDatabaseJobListResult
| Get Database Job List result. More...
struct | unsp__GetDBVersionInfoResult
| Get Database Version Information result. More...
struct | unsp__GetDBVersionInfoRequest
| Get Database Version Information request. More...

## Enumerations
enum | unsp__DatabaseJobName { backup, restore }
| Database Job Name. More...
enum | unsp__DatabaseEntity { all, oracle_rtp, oracle_srx, oracle_all, omni, solid }
| Database Entity. More...

## Functions
int | unsp__GetDBVersionInfo (struct unsp__GetDBVersionInfoRequest GetDBVersionInfoRequest, struct unsp__GetDBVersionInfoResult *GetDBVersionInfoResult)
| Retrieves the Database Version Information. More...
int | unsp__CreateDatabaseJob (struct unsp__CreateDatabaseJobRequest CreateDatabaseJobRequest, struct unsp__CreateDatabaseJobResult *CreateDatabaseJobResult)
| This method is used to create a job to initiate a database backup or restore. More...
int | unsp__CancelDatabaseJob (struct unsp__DatabaseJobRequest CancelDatabaseJobRequest, struct unsp__DatabaseJobResult *CancelDatabaseJobResult)
| This method is used to cancel an existing database backup or restore job. More...
int | unsp__DeleteDatabaseJob (struct unsp__DatabaseJobRequest DeleteDatabaseJobRequest, struct unsp__DatabaseJobResult *DeleteDatabaseJobResult)
| This method is used to delete an existing database backup or restore job. More...
int | unsp__GetDatabaseJobList (struct unsp__GetDatabaseJobListRequest GetDatabaseJobListRequest, struct unsp__GetDatabaseJobListResult *GetDatabaseJobListResult)
| This method is used to retrieve and display an existing database backup or restore job, or a list of such jobs. More...

## Detailed Description

Database Job Definitions and Methods.

Openscape Voice provides methods to administer Database Jobs as well as to retrieve the information regarding the version of its Database.

## Enumeration Type Documentation

## ◆ unsp__DatabaseEntity

enum unsp__DatabaseEntity

Database Entity.

Enumerator
all | all
oracle_rtp | Deprecated: NA
oracle_srx | Deprecated: NA
oracle_all | Deprecated: NA
omni | Deprecated: NA
solid | IBM Solid DB.

## ◆ unsp__DatabaseJobName

enum unsp__DatabaseJobName

Database Job Name.

Enumerator
backup | backup
restore | restore

## Function Documentation

## ◆ unsp__CancelDatabaseJob()

unsp__CancelDatabaseJob | ( | struct unsp__DatabaseJobRequest | CancelDatabaseJobRequest,
|  | struct unsp__DatabaseJobResult * | CancelDatabaseJobResult
| ) |  |

This method is used to cancel an existing database backup or restore job.

Parameters

  CancelDatabaseJobRequest | API request
  CancelDatabaseJobResult | API result

## ◆ unsp__CreateDatabaseJob()

unsp__CreateDatabaseJob | ( | struct unsp__CreateDatabaseJobRequest | CreateDatabaseJobRequest,
|  | struct unsp__CreateDatabaseJobResult * | CreateDatabaseJobResult
| ) |  |

This method is used to create a job to initiate a database backup or restore.

The response to this request includes a JobId that has been assigned to the request and can be used later in order to cancel or query this specific job.

Parameters

  CreateDatabaseJobRequest | API request
  CreateDatabaseJobResult | API result

## ◆ unsp__DeleteDatabaseJob()

unsp__DeleteDatabaseJob | ( | struct unsp__DatabaseJobRequest | DeleteDatabaseJobRequest,
|  | struct unsp__DatabaseJobResult * | DeleteDatabaseJobResult
| ) |  |

This method is used to delete an existing database backup or restore job.

Parameters

  DeleteDatabaseJobRequest | API request
  DeleteDatabaseJobResult | API result

## ◆ unsp__GetDatabaseJobList()

unsp__GetDatabaseJobList | ( | struct unsp__GetDatabaseJobListRequest | GetDatabaseJobListRequest,
|  | struct unsp__GetDatabaseJobListResult * | GetDatabaseJobListResult
| ) |  |

This method is used to retrieve and display an existing database backup or restore job, or a list of such jobs.

If the JobId is provided, the information about only that job is returned; otherwise, information about the complete list of existing database jobs is returned.

Parameters

  GetDatabaseJobListRequest | API request
  GetDatabaseJobListResult | API result

## ◆ unsp__GetDBVersionInfo()

unsp__GetDBVersionInfo | ( | struct unsp__GetDBVersionInfoRequest | GetDBVersionInfoRequest,
|  | struct unsp__GetDBVersionInfoResult * | GetDBVersionInfoResult
| ) |  |

Retrieves the Database Version Information.

Database versioning in the OpenScape Voice system database is a means to validate if a database restore can be performed from a database backup file. The restore is allowed to be executed if the database version of the OpenScape Voice system database and the database version of the database backup file are an exact match. The database version is a combination of the software release ID combined with the database iteration number (i.e ReleaseId.DbId). Each time the database is modified and delivered by means of a software build or a patch, the database version is incremented. This takes place for the entire lifecycle of the release. The software release ID stays constant throughout the entire lifespan of the software release regardless of what build ID is applied to the release. Once a new release is established, a new version ID is associated with that new release. Database iteration IDs are incremented from the starting point of that release. When a database backup is taken the database version is put into the backup file so that a comparison can be made to the OpenScape Voice system database should a database restore take place. When a database restore is performed the restore script will first check to see that the database version of the backup file and the database version of the OpenScape Voice system are an exact match. If the versions are not an exact match, the restore will be rejected.

Parameters

  GetDBVersionInfoRequest | API request
  GetDBVersionInfoResult | API result